Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.tree
Class DefaultTreeModel.DefaultTreeNode

    java.lang.Object
      org.apache.cocoon.forms.formmodel.tree.DefaultTreeModel.DefaultTreeNode

All Implemented Interfaces:
  DefaultTreeModel.TreeNode

Enclosing class:
  DefaultTreeModel

public static class DefaultTreeModel.DefaultTreeNode
extends Object
implements DefaultTreeModel.TreeNode

Constructor Summary
`DefaultTreeModel.DefaultTreeNode(Object data)`
`DefaultTreeModel.DefaultTreeNode(Object data, Map children)`

Method Summary
`void` | `add(String key, DefaultTreeModel.TreeNode node)`
`Object` | `getChild(String key)`
`String` | `getChildKey(Object child)`
`Collection` | `getChildren()`
`Object` | `getData()`
`boolean` | `isLeaf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTreeModel.DefaultTreeNode

    public DefaultTreeModel.DefaultTreeNode(Object data)

### DefaultTreeModel.DefaultTreeNode

    public DefaultTreeModel.DefaultTreeNode(Object data,
                                            Map children)

Method Detail

### getData

    public Object getData()

### add

    public void add(String key,
                    DefaultTreeModel.TreeNode node)

### getChildren

    public Collection getChildren()

  Specified by:
    `getChildren` in interface `DefaultTreeModel.TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `DefaultTreeModel.TreeNode`

### getChildKey

    public String getChildKey(Object child)

  Specified by:
    `getChildKey` in interface `DefaultTreeModel.TreeNode`

### getChild

    public Object getChild(String key)

  Specified by:
    `getChild` in interface `DefaultTreeModel.TreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.